osg::Sequence Class Reference

`#include <Sequence>`

Inheritance diagram for osg::Sequence:

## Public Types

enum | LoopMode { LOOP , SWING }
enum | SequenceMode { START , STOP , PAUSE , RESUME }
Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| Sequence ()
| Sequence (const Sequence &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Sequence)
virtual void | traverse (NodeVisitor &nv)
virtual bool | addChild (Node *child)
virtual bool | addChild (Node *child, double t)
template<class T>
bool | addChild (const ref_ptr< T > &child, double t)
virtual bool | insertChild (unsigned int index, Node *child)
virtual bool | insertChild (unsigned int index, Node *child, double t)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child, double t)
virtual bool | removeChild (Node *child)
virtual bool | removeChildren (unsigned int pos, unsigned int numChildrenToRemove)
void | setValue (int value)
int | getValue () const
void | setTime (unsigned int frame, double t)
double | getTime (unsigned int frame) const
void | setTimeList (const std::vector< double > &timeList)
const std::vector< double > & | getTimeList () const
void | setDefaultTime (double t)
double | getDefaultTime (void) const
void | setLastFrameTime (double t)
double | getLastFrameTime (void) const
unsigned int | getNumFrames () const
void | setLoopMode (LoopMode mode)
LoopMode | getLoopMode () const
void | setBegin (int begin)
int | getBegin () const
void | setEnd (int end)
int | getEnd () const
void | setInterval (LoopMode mode, int begin, int end)
void | getInterval (LoopMode &mode, int &begin, int &end) const
void | setSpeed (float speed)
float | getSpeed () const
void | setNumRepeats (int nreps)
int | getNumRepeats () const
void | setDuration (float speed, int nreps=-1)
void | getDuration (float &speed, int &nreps) const
void | setMode (SequenceMode mode)
SequenceMode | getMode () const
void | setSync (bool sync)
bool | getSync () const
void | setClearOnStop (bool clearOnStop)
bool | getClearOnStop () const
template<class T>
bool | addChild (const ref_ptr< T > &child)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child)
template<class T>
bool | removeChild (const ref_ptr< T > &child)
bool | removeChild (unsigned int pos, unsigned int numChildrenToRemove=1)
Public Member Functions inherited from osg::Group
| Group ()
| Group (const Group &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Group)
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
template<class T>
bool | addChild (const ref_ptr< T > &child)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child)
template<class T>
bool | removeChild (const ref_ptr< T > &child)
bool | removeChild (unsigned int pos, unsigned int numChildrenToRemove=1)
virtual bool | replaceChild (Node *origChild, Node *newChild)
template<class T, class R>
bool | replaceChild (const ref_ptr< T > &origChild, const ref_ptr< R > &newChild)
virtual unsigned int | getNumChildren () const
virtual bool | setChild (unsigned int i, Node *node)
Node * | getChild (unsigned int i)
const Node * | getChild (unsigned int i) const
bool | containsNode (const Node *node) const
template<class T>
bool | containsNode (const ref_ptr< T > &node) const
unsigned int | getChildIndex (const Node *node) const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *=0) const
virtual BoundingSphere | computeBound () const
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | accept (NodeVisitor &nv)
virtual void | ascend (NodeVisitor &nv)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~Sequence ()
int | _getNextValue (void)
void | _update (void)
Protected Member Functions inherited from osg::Group
virtual | ~Group ()
virtual void | childRemoved (unsigned int, unsigned int)
virtual void | childInserted (unsigned int)
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

int | _value
double | _now
double | _start
std::vector< double > | _frameTime
double | _totalTime
bool | _resetTotalTime
LoopMode | _loopMode
int | _begin
int | _end
float | _speed
int | _nreps
int | _nrepsRemain
int | _step
double | _defaultTime
double | _lastFrameTime
double | _saveRealLastFrameTime
unsigned int | _saveRealLastFrameValue
SequenceMode | _mode
bool | _sync
bool | _clearOnStop
Protected Attributes inherited from osg::Group
NodeList | _children
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

Sequence is a Group node which allows automatic, time based switching between children.

## Member Enumeration Documentation

## LoopMode

enum osg::Sequence::LoopMode

Interval modes. 'Loop' repeats frames 1-N; 'swing' repeats 1->N, (N-1)->1.

Enumerator
LOOP |
SWING |

## SequenceMode

enum osg::Sequence::SequenceMode

Sequence modes.

Enumerator
START |
STOP |
PAUSE |
RESUME |

## Constructor & Destructor Documentation

## Sequence() [1/2]

osg::Sequence::Sequence | ( |  | ) |

Referenced by META_Node(), and Sequence().

## Sequence() [2/2]

osg::Sequence::Sequence | ( | const Sequence & | ,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY )

Copy constructor using CopyOp to manage deep vs shallow copy.

References Sequence(), and osg::CopyOp::SHALLOW_COPY.

## ~Sequence()

virtual osg::Sequence::~Sequence | ( |  | ) |

inline protected virtual

## Member Function Documentation

## _getNextValue()

int osg::Sequence::_getNextValue | ( | void |  | ) |

protected

## _update()

void osg::Sequence::_update | ( | void |  | ) |

protected

## addChild() [1/4]

template<class T>

bool osg::Group::addChild | ( | const ref_ptr< T > & | child | ) |

inline

## addChild() [2/4]

template<class T>

bool osg::Sequence::addChild | ( | const ref_ptr< T > & | child,
|  | double | t )

inline

References addChild(), and osg::ref_ptr< T >::get().

Referenced by addChild().

## addChild() [3/4]

virtual bool osg::Sequence::addChild | ( | Node * | child | ) |

virtual

Add Node to Group. If node is not NULL then increment its reference count, add it to the child list and dirty the bounding sphere to force it to recompute on next getBound() and return true for success. Otherwise return false. Scene nodes can't be added as child nodes.

Reimplemented from osg::Group.

## addChild() [4/4]

virtual bool osg::Sequence::addChild | ( | Node * | child,
|  | double | t )

virtual

## getBegin()

int osg::Sequence::getBegin | ( |  | ) | const

inline

Get interval beginning.

References _begin.

## getClearOnStop()

bool osg::Sequence::getClearOnStop | ( |  | ) | const

inline

Get whether to show no child nodes after stopping

References _clearOnStop.

## getDefaultTime()

double osg::Sequence::getDefaultTime | ( | void |  | ) | const

inline

Get default time in seconds for new child.

References _defaultTime.

## getDuration()

void osg::Sequence::getDuration | ( | float & | speed,
|  | int & | nreps ) const

inline

Get duration & number of repeats.

References _nreps, and _speed.

## getEnd()

int osg::Sequence::getEnd | ( |  | ) | const

inline

Get interval ending.

References _end.

## getInterval()

void osg::Sequence::getInterval | ( | LoopMode & | mode,
|  | int & | begin,
|  | int & | end ) const

inline

Get sequence mode & interval.

References _begin, _end, and _loopMode.

## getLastFrameTime()

double osg::Sequence::getLastFrameTime | ( | void |  | ) | const

inline

Get last frame time in seconds

References _lastFrameTime.

## getLoopMode()

LoopMode osg::Sequence::getLoopMode | ( |  | ) | const

inline

Get sequence mode.

References _loopMode.

## getMode()

SequenceMode osg::Sequence::getMode | ( |  | ) | const

inline

Get sequence mode.

References _mode.

## getNumFrames()

unsigned int osg::Sequence::getNumFrames | ( |  | ) | const

inline

Get number of frames

References _frameTime.

## getNumRepeats()

int osg::Sequence::getNumRepeats | ( |  | ) | const

inline

Get number of repeats.

References _nreps.

## getSpeed()

float osg::Sequence::getSpeed | ( |  | ) | const

inline

Get speed.

References _speed.

## getSync()

bool osg::Sequence::getSync | ( |  | ) | const

inline

Get sync value

References _sync.

## getTime()

double osg::Sequence::getTime | ( | unsigned int | frame | ) | const

Get time for child.

## getTimeList()

const std::vector< double > & osg::Sequence::getTimeList | ( |  | ) | const

inline

Get the time list for children.

References _frameTime.

## getValue()

int osg::Sequence::getValue | ( |  | ) | const

inline

References _value.

## insertChild() [1/4]

template<class T>

bool osg::Group::insertChild | ( | unsigned int | index,
|  | const ref_ptr< T > & | child )

inline

## insertChild() [2/4]

template<class T>

bool osg::Sequence::insertChild | ( | unsigned int | index,
|  | const ref_ptr< T > & | child,
|  | double | t )

inline

References osg::ref_ptr< T >::get(), and insertChild().

Referenced by insertChild().

## insertChild() [3/4]

virtual bool osg::Sequence::insertChild | ( | unsigned int | index,
|  | Node * | child )

virtual

Insert Node to Group at specific location. The new child node is inserted into the child list before the node at the specified index. No nodes are removed from the group with this operation.

Reimplemented from osg::Group.

## insertChild() [4/4]

virtual bool osg::Sequence::insertChild | ( | unsigned int | index,
|  | Node * | child,
|  | double | t )

virtual

## META_Node()

osg::Sequence::META_Node | ( | osg | ,
|  | Sequence | )

References Sequence().

## removeChild() [1/3]

template<class T>

bool osg::Group::removeChild | ( | const ref_ptr< T > & | child | ) |

inline

## removeChild() [2/3]

virtual bool osg::Sequence::removeChild | ( | Node * | child | ) |

virtual

Remove Node from Group. If Node is contained in Group then remove it from the child list, decrement its reference count, and dirty the bounding sphere to force it to recompute on next getBound() and return true for success. If Node is not found then return false and do not change the reference count of the Node. Note, do not override, only override removeChildren(,) is required.

Reimplemented from osg::Group.

## removeChild() [3/3]

bool osg::Group::removeChild | ( | unsigned int | pos,
|  | unsigned int | numChildrenToRemove = 1 )

inline

Remove Node from Group. If Node is contained in Group then remove it from the child list, decrement its reference count, and dirty the bounding sphere to force it to recompute on next getBound() and return true for success. If Node is not found then return false and do not change the reference count of the Node. Note, do not override, only override removeChildren(,) is required.

## removeChildren()

virtual bool osg::Sequence::removeChildren | ( | unsigned int | pos,
|  | unsigned int | numChildrenToRemove )

virtual

Remove children from Group. Note, must be override by subclasses of Group which add per child attributes.

Reimplemented from osg::Group.

## setBegin()

void osg::Sequence::setBegin | ( | int | begin | ) |

inline

Set interval beginning.

References _begin, and _value.

## setClearOnStop()

void osg::Sequence::setClearOnStop | ( | bool | clearOnStop | ) |

inline

If true, show no child nodes after stopping

References _clearOnStop.

## setDefaultTime()

void osg::Sequence::setDefaultTime | ( | double | t | ) |

inline

Set default time in seconds for new child. if t<0, t=0

References _defaultTime.

## setDuration()

void osg::Sequence::setDuration | ( | float | speed,
|  | int | nreps = -1 )

Set duration: speed-up & number of repeats

## setEnd()

void osg::Sequence::setEnd | ( | int | end | ) |

inline

Set interval ending.

References _end, and _value.

## setInterval()

void osg::Sequence::setInterval | ( | LoopMode | mode,
|  | int | begin,
|  | int | end )

Set sequence mode & interval (range of children to be displayed).

## setLastFrameTime()

void osg::Sequence::setLastFrameTime | ( | double | t | ) |

inline

Set time of last frame of last loop, in seconds. if t<= 0, then ignored

References _lastFrameTime.

## setLoopMode()

void osg::Sequence::setLoopMode | ( | LoopMode | mode | ) |

inline

Set sequence mode.

References _loopMode, and _value.

## setMode()

void osg::Sequence::setMode | ( | SequenceMode | mode | ) |

Set sequence mode. Start/stop & pause/resume.

## setNumRepeats()

void osg::Sequence::setNumRepeats | ( | int | nreps | ) |

inline

Set number of repeats.

References _nreps, and _nrepsRemain.

## setSpeed()

void osg::Sequence::setSpeed | ( | float | speed | ) |

inline

Set speed.

References _speed.

## setSync()

void osg::Sequence::setSync | ( | bool | sync | ) |

inline

If false (default), frames will not be sync'd to frameTime. If true, frames will be sync'd to frameTime.

References _sync.

## setTime()

void osg::Sequence::setTime | ( | unsigned int | frame,
|  | double | t )

Set time in seconds for child.

## setTimeList()

void osg::Sequence::setTimeList | ( | const std::vector< double > & | timeList | ) |

inline

Set the time list for children.

References _frameTime.

## setValue()

void osg::Sequence::setValue | ( | int | value | ) |

inline

value is which child node is to be displayed

References _value.

## traverse()

virtual void osg::Sequence::traverse | ( | NodeVisitor & |  | ) |

virtual

Traverse downwards : calls children's accept method with NodeVisitor.

Reimplemented from osg::Group.

References osg::Group::addChild(), osg::Group::insertChild(), and osg::Group::removeChild().

## Member Data Documentation

## _begin

int osg::Sequence::_begin

protected

Referenced by getBegin(), getInterval(), and setBegin().

## _clearOnStop

bool osg::Sequence::_clearOnStop

protected

Referenced by getClearOnStop(), and setClearOnStop().

## _defaultTime

double osg::Sequence::_defaultTime

protected

Referenced by getDefaultTime(), and setDefaultTime().

## _end

int osg::Sequence::_end

protected

Referenced by getEnd(), getInterval(), and setEnd().

## _frameTime

std::vector<double> osg::Sequence::_frameTime

protected

Referenced by getNumFrames(), getTimeList(), and setTimeList().

## _lastFrameTime

double osg::Sequence::_lastFrameTime

protected

Referenced by getLastFrameTime(), and setLastFrameTime().

## _loopMode

LoopMode osg::Sequence::_loopMode

protected

Referenced by getInterval(), getLoopMode(), and setLoopMode().

## _mode

SequenceMode osg::Sequence::_mode

protected

Referenced by getMode().

## _now

double osg::Sequence::_now

protected

## _nreps

int osg::Sequence::_nreps

protected

Referenced by getDuration(), getNumRepeats(), and setNumRepeats().

## _nrepsRemain

int osg::Sequence::_nrepsRemain

protected

Referenced by setNumRepeats().

## _resetTotalTime

bool osg::Sequence::_resetTotalTime

protected

## _saveRealLastFrameTime

double osg::Sequence::_saveRealLastFrameTime

protected

## _saveRealLastFrameValue

unsigned int osg::Sequence::_saveRealLastFrameValue

protected

## _speed

float osg::Sequence::_speed

protected

Referenced by getDuration(), getSpeed(), and setSpeed().

## _start

double osg::Sequence::_start

protected

## _step

int osg::Sequence::_step

protected

## _sync

bool osg::Sequence::_sync

protected

Referenced by getSync(), and setSync().

## _totalTime

double osg::Sequence::_totalTime

protected

## _value

int osg::Sequence::_value

protected

Referenced by getValue(), setBegin(), setEnd(), setLoopMode(), and setValue().

The documentation for this class was generated from the following file:

- Sequence